Gtk_TipsQuery(3)

NAME - Gtk_TipsQuery

HEADER REQUIRED
#include <gtk--/tipsquery.h&gt;>

BASE CLASSES
Gtk_Label(3)

PUBLIC MEMBER INDEX
    Gtk_TipsQuery();
    Gtk_TipsQuery(GtkTipsQuery *castitem);
    signal void  start_query(BaseObjectType);
    signal void  stop_query(BaseObjectType);
    void  set_caller(const Gtk_Widget &caller);
    void  set_labels(const _gtk_string &label_inactive, const _gtk_string &label_no_tip);
    GtkTipsQuery*  gtkobj();
    const GtkTipsQuery*  gtkobj() const;
    static bool  isGtkTipsQuery(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkTipsQuery  BaseObjectType;
    typedef GtkTipsQueryClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  start_query_impl();
    virtual void  stop_query_impl();

PRIVATE MEMBER INDEX
    static CppClassType  tips_query_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS